List Catalogs
curl --request GET \
--url https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalogs \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalogs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/data/projects/{projectId}/catalogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "1",
"name": "peaka",
"displayName": "Peaka",
"catalogType": "internal",
"connectionId": null
},
{
"id": "2",
"name": "peaka",
"displayName": "Peaka Query",
"catalogType": "query",
"connectionId": null
},
{
"id": "555414570395501064",
"name": "examplename34",
"displayName": "exampleName34",
"catalogType": "stripe",
"connectionId": "fe47b030-3718-4537-a6ba-eaa93c7204ee"
},
{
"id": "555611268656923356",
"name": "examplename35",
"displayName": "exampleName35",
"catalogType": "segment",
"connectionId": "fe47b030-3718-4537-a6ba-eaa93c7204ee"
},
{
"id": "625151643029078208",
"name": "exampleairtablecatalog2",
"displayName": "exampleAirtableCatalog2",
"catalogType": "airtable",
"connectionId": "8db17e23-29de-4dab-8886-af9717e0e742"
}
]Data -- Catalogs
List Catalogs
Returns all catalogs registered in the specified project. Each catalog represents a data source connected to Peaka, such as Airtable, Stripe, or an internal Peaka storage. Built-in catalog types like internal (Peaka Tables and BI Tables) and query (Peaka Queries) are always present.
GET
/
data
/
projects
/
{projectId}
/
catalogs
List Catalogs


Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Path Parameters
ID of the project
⌘I